Subject: Re: [PATCH net-next v8 0/4] net: Add Keystone NetCP ethernet driver support

From: Murali Karicheri <[email-masked]>
Date: Thu, 29 Jan 2015 12:21:36 -0500

On 01/28/2015 05:40 PM, Murali Karicheri wrote:
> + Felipe, Mugunthan for commenting on TI_CPSW, ALE.
>

  --- Cut ------

>
>>
>> The second problem is where I got stuck myself: cpsw_ale.c (also cpts.c)
>> is getting linked into both modules, which is not allowed: It is
>> impossible for the kernel to compile these if one driver is a module
>> and the other one is not, and any use of KBUILD_MODNAME fails because
>> it is unclear what the modname is if the file is compiled once to
>> be linked into two drivers.
Arnd,

I think the solution is to make the cpsw_ale as a module and configured 
through a Kconfig option. I am working on a fix for this now.

Similar fix is required for cpts.o. Currently we are not using this 
module for Netcp, but soon this will be re-used. I have send a patch 
that is already applied to net-next removing cpts.o for Netcp.

Murali
>
> I am still looking into this. Both Keystone and TI CPSW driver would
> need to use cpsw_ale.o and cpts.o (currently not used, but will need
> this later). Not found a solution yet.
>
> Murali
>>
>> Arnd
>
>

-- 
Murali Karicheri
Linux Kernel, Texas Instruments
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html